summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonid Isaev <leonid.isaev@jila.colorado.edu>2016-05-07 17:24:17 -0600
committerAllan McRae <allan@archlinux.org>2016-05-18 15:45:56 +1000
commit892a1076c00a2b0097145c35f5d8ef590216dac0 (patch)
treeeaa755a2da0dc20eefacb9e7570e286b3c46476a
parent87082e3f44c4f92c63d881db38a0fff0565fc9bc (diff)
downloadpacman-892a1076c00a2b0097145c35f5d8ef590216dac0.tar.gz
pacman-892a1076c00a2b0097145c35f5d8ef590216dac0.zip
Use a more generic regexp when parsing output of gpg(1) in signature verification.
The current way of extracting key trust from output of gpg --verify is not very robust against changes in the format of said output. As a result, pacman-key can return an error even if the signature is actuall good. This change relaxes the regexp when parsing output of gpg. Signed-off-by: Leonid Isaev <leonid.isaev@jila.colorado.edu> Signed-off-by: Allan McRae <allan@archlinux.org>
-rw-r--r--scripts/pacman-key.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/pacman-key.sh.in b/scripts/pacman-key.sh.in
index 30d27047..0db09522 100644
--- a/scripts/pacman-key.sh.in
+++ b/scripts/pacman-key.sh.in
@@ -483,7 +483,7 @@ verify_sig() {
local ret=0
for sig; do
msg "Checking %s..." "$sig"
- if ! "${GPG_PACMAN[@]}" --status-fd 1 --verify "$sig" | grep -qE '^\[GNUPG:\] TRUST_(FULLY|ULTIMATE)$'; then
+ if ! "${GPG_PACMAN[@]}" --status-fd 1 --verify "$sig" | grep -qE '^\[GNUPG:\] TRUST_(FULLY|ULTIMATE).*$'; then
error "$(gettext "The signature identified by %s could not be verified.")" "$sig"
ret=1
fi